Add Secret Manager Reference
API server
https://app.coolify.io/api/v1Add a {{vault.KEY}} environment variable for one key of the linked source.
Authorization
bearerAuth AuthorizationBearer <token>
Go to Keys & Tokens / API tokens and create a new token. Use the token as the bearer token.
In: header
Path Parameters
resource_type*string
Resource type.
Value in
"applications" | "services" | "databases"uuid*string
Resource UUID.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
key*string
Response Body
application/json
application/json
curl -X POST "https://app.coolify.io/api/v1/applications/string/secret-manager/references" \ -H "Content-Type: application/json" \ -d '{ "key": "string" }'Empty
Empty
{ "message": "Unauthenticated."}Empty
{ "message": "Resource not found."}Empty
